payments.updateStarGiftCollection
Add or remove gifts from a star gift collection », or rename the collection.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Add or remove gifts from a star gift collection », or rename the collection.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.updateStarGiftCollection" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "collectionId": 0 } }'{ "result": { "_": "starGiftCollection", "collectionId": 0, "title": "string", "icon": { "_": "documentEmpty", "id": "string" }, "giftsCount": 0, "hash": "string" }}transferStarGift
Transfer a [collectible gift](https://core.telegram.org/api/gifts#collectible-gifts) to another user or channel: can only be used if transfer is free (i.e. `RawMessageActionStarGiftUnique`.transfer_stars is not set); see [here »](https://core.telegram.org/api/gifts#transferring-collectible-gifts) for more info on the full flow (including the different flow to use in case the transfer isn't free).
updateStarGiftPrice
A [collectible gift we own »](https://core.telegram.org/api/gifts#collectible-gifts) can be put up for sale on the [gift marketplace »](https://telegram.org/blog/gift-marketplace-and-more) with this method, see [here »](https://core.telegram.org/api/gifts#reselling-collectible-gifts) for more info.